%global _description %{expand:
The zc.lockfile package provides a basic portable
implementation of interprocess locks using lock files. The purpose if not specifically to
lock files, but to simply provide locks with an implementation based on file-locking primitives.
Of course, these locks could be used to mediate access to other files. For example, the ZODB file
storage implementation uses file locks to mediate access to file-storage database files.
The database files and lock file files are separate files.}

Summary:       Basic Inter-Process Locks
Name:          python-zc-lockfile
Version:       3.0
Release:       1%{?dist}
License:       ZPLv2.1
URL:           https://pypi.io/project/zc.lockfile/
Source0:       https://pypi.io/packages/source/z/zc.lockfile/zc.lockfile-%{version}.tar.gz

BuildRequires: python3-devel python3-setuptools python3-zope-testing

BuildArch:     noarch

%description
%{_description}

%package -n python3-zc-lockfile
Summary:        Basic Inter-Process Locks

%description -n python3-zc-lockfile
%{_description}

%prep
%autosetup -n zc.lockfile-%{version} -p1

%build
%py3_build

%install
%py3_install
rm -f %{buildroot}%{python3_sitelib}/zc/lockfile/*.txt

%check
%{__python3} setup.py test

%files -n python3-zc-lockfile
%doc src/zc/lockfile/*.txt
%{python3_sitelib}/zc.lockfile-*.egg-info
%{python3_sitelib}/zc.lockfile-*-nspkg.pth
%{python3_sitelib}/zc/lockfile/
%dir %{python3_sitelib}/zc/

%changelog
* Thu Sep 21 2023 rockerzhu <rockerzhu@tencent.com> - 3.0-1
- Upgrade to 3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 2.0-1
- initial build
